org.apache.solr.request

## Class SolrRequestInfo

- java.lang.Object
- - org.apache.solr.request.SolrRequestInfo

-     public class SolrRequestInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Closeable>` | `closeHooks`
    `protected Date` | `now`
    `protected ResponseBuilder` | `rb`
    `protected SolrQueryRequest` | `req`
    `protected SolrQueryResponse` | `rsp`
    `protected static ThreadLocal<SolrRequestInfo>` | `threadLocal`
    `protected TimeZone` | `tz`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrRequestInfo(SolrQueryRequest req, SolrQueryResponse rsp)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCloseHook(Closeable hook)`
    `static void` | `clearRequestInfo()`
    `TimeZone` | `getClientTimeZone()` The TimeZone specified by the request, or null if none was specified
    `static ExecutorUtil.InheritableThreadLocalProvider` | `getInheritableThreadLocalProvider()`
    `Date` | `getNOW()`
    `SolrQueryRequest` | `getReq()`
    `static SolrRequestInfo` | `getRequestInfo()`
    `ResponseBuilder` | `getResponseBuilder()` May return null if the request handler is not based on SearchHandler
    `SolrQueryResponse` | `getRsp()`
    `static void` | `setRequestInfo(SolrRequestInfo info)`
    `void` | `setResponseBuilder(ResponseBuilder rb)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### threadLocal

          protected static final ThreadLocal<SolrRequestInfo> threadLocal

    - #### req

          protected SolrQueryRequest req

    - #### rsp

          protected SolrQueryResponse rsp

    - #### now

          protected Date now

    - #### tz

          protected TimeZone tz

    - #### rb

          protected ResponseBuilder rb

    - #### closeHooks

          protected List<Closeable> closeHooks

  - ### Constructor Detail

    - #### SolrRequestInfo

          public SolrRequestInfo(SolrQueryRequest req,
                                 SolrQueryResponse rsp)

  - ### Method Detail

    - #### getRequestInfo

          public static SolrRequestInfo getRequestInfo()

    - #### setRequestInfo

          public static void setRequestInfo(SolrRequestInfo info)

    - #### clearRequestInfo

          public static void clearRequestInfo()

    - #### getNOW

          public Date getNOW()

    - #### getClientTimeZone

          public TimeZone getClientTimeZone()

      The TimeZone specified by the request, or null if none was specified

    - #### getReq

          public SolrQueryRequest getReq()

    - #### getRsp

          public SolrQueryResponse getRsp()

    - #### getResponseBuilder

          public ResponseBuilder getResponseBuilder()

      May return null if the request handler is not based on SearchHandler

    - #### setResponseBuilder

          public void setResponseBuilder(ResponseBuilder rb)

    - #### addCloseHook

          public void addCloseHook(Closeable hook)

    - #### getInheritableThreadLocalProvider

          public static ExecutorUtil.InheritableThreadLocalProvider getInheritableThreadLocalProvider()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.